Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1657703 - [abrt] [faf] dnf: hdrFromFdno(): /usr/lib64/python3.6/site-packages/rpm/transaction.py killed by _rpm.error
Summary: [abrt] [faf] dnf: hdrFromFdno(): /usr/lib64/python3.6/site-packages/rpm/trans...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.0
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: rc
: 8.0
Assignee: Marek Blaha
QA Contact: Karel Srot
URL: https://faf.lab.eng.brq.redhat.com/fa...
Whiteboard:
Depends On: 1681084
Blocks: 1701002
TreeView+ depends on / blocked
 
Reported: 2018-12-10 10:11 UTC by Vladimir Benes
Modified: 2020-11-14 16:36 UTC (History)
4 users (show)

Fixed In Version: dnf-4.2.6-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:20:50 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 0 None None None 2019-11-05 22:21:04 UTC

Description Vladimir Benes 2018-12-10 10:11:57 UTC
This bug has been created based on an anonymous crash report requested by the package maintainer.

Report URL: https://faf.lab.eng.brq.redhat.com/faf/reports/bthash/a47378da0ada199355ca9348b9302c76c9367eba/

Comment 1 Daniel Mach 2018-12-12 12:25:05 UTC
We are unable to reproduce the issue using the yum command.
We managed to trigger the traceback manually and we're going to replace the traceback with a proper error message.

If the bug becomes reproducible, we'll address it as part of a new bug report.

Comment 2 Marek Blaha 2018-12-13 12:49:25 UTC
According to comment#1 I've created https://github.com/rpm-software-management/dnf/pull/1291
The PR prevents the YUM from failing with traceback.

Comment 12 errata-xmlrpc 2019-11-05 22:20:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.